
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was trademgen-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/trademgen" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the TraDemGen package. It defines the following variables:
#  TRADEMGEN_VERSION         - version of TraDemGen
#  TRADEMGEN_BINARY_DIRS     - binary directories for TraDemGen
#  TRADEMGEN_INCLUDE_DIRS    - include directories for TraDemGen
#  TRADEMGEN_LIBRARY_DIRS    - library directories for TraDemGen (normally not used!)
#  TRADEMGEN_LIBEXEC_DIR     - internal exec directory for TraDemGen
#  TRADEMGEN_LIBRARIES       - libraries to link against
#  TRADEMGEN_EXECUTABLES     - the TraDemGen binaries/executables

# Tell the user project where to find TraDemGen headers and libraries
set (TRADEMGEN_VERSION "1.00.13")
set (TRADEMGEN_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (TRADEMGEN_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (TRADEMGEN_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")
set (TRADEMGEN_LIBEXEC_DIR "${PACKAGE_PREFIX_DIR}/libexec")

# Library dependencies for TraDemGen (contains definitions for the TraDemGen
# IMPORTED targets)
include ("${CMAKE_CURRENT_LIST_DIR}/trademgen-library-depends.cmake")

# These are the TraDemGen IMPORTED targets, created by
# trademgen-library-depends.cmake
set (TRADEMGEN_LIBRARIES trademgenlib)
set (TRADEMGEN_EXECUTABLES trademgen
  trademgen_generateDemand
  trademgen_extractBookingRequests trademgen_drawBookingArrivals)

